window.Gleam.initSearch([{"doc":"murmur3a","title":"murmur3a","content":"# murmur3a\n\n[![Package Version](https://img.shields.io/hexpm/v/murmur3a)](https://hex.pm/packages/murmur3a)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/murmur3a/)\n\nA pure Gleam implementation of the 32bit Murmur3 non-cryptographic hash function (with a little\nJavaScript optimisation).\n\n```sh\ngleam add murmur3a\n```\n```gleam\nimport gleam/io\nimport murmur3a\n\npub fn main() {\n  murmur3a.hash_string(&quot;Hello!&quot;, 1)\n  |&gt; murmur3a.hex_digest\n  // -&gt; &quot;DC75D641&quot;\n}\n```\n\nAPI documentation can be found at &lt;https://hexdocs.pm/murmur3a&gt;.\n\n## Development\n\n```sh\ngleam test                      # Run the tests with erlang\ngleam test --target javascript  # Run the tests with bun\n```\n\n## Credits\n\nmurmur3a leans heavily on Robin Heggelund Hansen&#39;s [Elm implementation](https://github.com/robinheghan/murmur3/).\n","url":"index.html"},{"doc":"murmur3a","title":"Hash","content":"pub opaque type Hash\n\n\nSynonyms:\nmurmur3a.Hash\nmurmur3a Hash","url":"murmur3a.html#Hash"},{"doc":"murmur3a","title":"bit_array_digest","content":"pub fn bit_array_digest(hash: Hash) -&gt; BitArray\n Returns 32 bit digest of the hash as a BitArray.\n\n ## Examples\n\n \n hash_string(&quot;murmur3a&quot;, 0)\n |&gt; bit_array_digest\n // -&gt; &lt;&lt;232, 177, 21, 28&gt;&gt;\n \nSynonyms:\nmurmur3a.bit_array_digest\nmurmur3a bit_array_digest","url":"murmur3a.html#bit_array_digest"},{"doc":"murmur3a","title":"hash_ints","content":"pub fn hash_ints(key: List(Int), seed: Int) -&gt; Hash\n Computes a 32 bit Murmur3 hash of the supplied list of integers.\n\n ## Examples\n\n \n hash_ints([1, 2, 3], 0)\n // -&gt; Hash(0, 24, -2133732860)\n \nSynonyms:\nmurmur3a.hash_ints\nmurmur3a hash_ints","url":"murmur3a.html#hash_ints"},{"doc":"murmur3a","title":"hash_string","content":"pub fn hash_string(key: String, seed: Int) -&gt; Hash\n Computes a 32 bit Murmur3 hash of the input string.\n\n ## Examples\n\n \n hash_string(&quot;murmur3a&quot;, 0)\n // -&gt; Hash(3521997819, 0, -391047908)\n \nSynonyms:\nmurmur3a.hash_string\nmurmur3a hash_string","url":"murmur3a.html#hash_string"},{"doc":"murmur3a","title":"hex_digest","content":"pub fn hex_digest(hash: Hash) -&gt; String\n Returns a hexadecimal digest of the hash.\n\n ## Examples\n\n \n hash_string(&quot;murmur3a&quot;, 0)\n |&gt; hex_digest\n // -&gt; &quot;E8B1151C&quot;\n \nSynonyms:\nmurmur3a.hex_digest\nmurmur3a hex_digest","url":"murmur3a.html#hex_digest"},{"doc":"murmur3a","title":"int_digest","content":"pub fn int_digest(hash: Hash) -&gt; Int\n Returns the 32 bit _signed_ integer digest of the hash.\n\n Keep in mind that these values may return negative numbers!\n\n ## Examples\n\n \n hash_ints([1, 2, 3], 0)\n |&gt; int_digest\n // -&gt; -2133732860\n \nSynonyms:\nmurmur3a.int_digest\nmurmur3a int_digest","url":"murmur3a.html#int_digest"},{"doc":"murmur3a","title":"murmur3a","content":"","url":"murmur3a.html"}]);